#include <iostream>
#include <cmath>
using namespace std;
int main(){
    int a,b,c;
    cin >> a >> b >> c;
    int na = 0;
    int nb = 0;
    int nc = 0;
    double pa = pow(10,18);
    while(pa>a){
        pa = pa/10;
        na++;}
    int bca = (18-na)+1;
    double pb = pow(10,18);
    while(pb>b){
        pb = pb/10;
        nb++;}
    int bcb = (18-nb)+1;
    double pc = pow(10,18);
    while(pc>c){
        pc = pc/10;
        nc++;}
    int bcc = (18-nc)+1;
    int ubc = bca + bcb + bcc;
    double v1 = a*pow(10,(ubc-bca)) + b*pow(10,(ubc-bca-bcb)) + c;
    double v2 = a*pow(10,(ubc-bca)) + c*pow(10,(ubc-bca-bcc)) + b;
    double v3 = c*pow(10,(ubc-bcc)) + a*pow(10,(ubc-bcc-bca)) + b;
    double v4 = c*pow(10,(ubc-bcc)) + b*pow(10,(ubc-bcc-bcb)) + a;
    double v5 = b*pow(10,(ubc-bcb)) + c*pow(10,(ubc-bcb-bcc)) + a;
    double v6 = b*pow(10,(ubc-bcb)) + a*pow(10,(ubc-bcb-bca)) + c;
    cout<<std::max({v1,v2,v3,v4,v5,v6});
    }